Page MenuHomePhabricator

expanded SpecialPage for creating a new Schema
Closed, ResolvedPublic5 Story Points

Description

As an editor I want to create a new schema in order to start defining how a certain part of the data should look like.

Screenshots/mockups:

BDD
GIVEN the SpecialPage "Special:NewSchema"
THEN there is an introductory text
AND there are input fields for labels, descriptions and aliases
AND the input fields have inline help text

Acceptance criteria:

  • introductory text ("By clicking "Create", you agree to the terms of use, and you irrevocably agree to release your contribution under the Creative Commons CC0 License.") <- same as on https://www.wikidata.org/wiki/Special:NewLexeme
  • input fields for labels, descriptions and aliases including inline help text, as shown in the mock up above (the name of the language is the name of the user interface language, e.g. Deutsch when the UI language is German).

Notes:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 22 2018, 2:33 PM
abian awarded a token.Jan 7 2019, 3:07 PM
abian added a subscriber: abian.
Tarrow added a subscriber: Tarrow.Jan 7 2019, 3:09 PM

For clarification in this case 'Create' does nothing

Michael updated the task description. (Show Details)Jan 11 2019, 11:58 AM
abian updated the task description. (Show Details)Jan 12 2019, 4:36 PM

@abian do we need the language input field? I was hoping we can just be smart and use the interface language.

Lydia_Pintscher updated the task description. (Show Details)
abian added a comment.EditedJan 13 2019, 7:00 PM

I didn't remember we were already doing so with Special:NewLexeme, so yeah, that field is probably unnecessary; I only added it to follow Special:NewItem. However, a reminder of which the interface language is may be useful (sometimes I write labels/descriptions/aliases in Spanish for new Items without remembering I have to manually change the default language, English, and vice versa, even with the corresponding field showing the current language, but that's just because I'm a disaster). :-)

Yeah I added the language to the help text for each field.

WMDE-leszek updated the task description. (Show Details)Jan 14 2019, 3:45 PM
WMDE-leszek updated the task description. (Show Details)
WMDE-leszek updated the task description. (Show Details)
WMDE-leszek updated the task description. (Show Details)Jan 14 2019, 3:48 PM
WMDE-leszek updated the task description. (Show Details)Jan 14 2019, 3:50 PM
WMDE-leszek triaged this task as Normal priority.Jan 14 2019, 4:03 PM
WMDE-leszek set the point value for this task to 5.

We need the language input field - using the interface language is not enough. See T108907: Add a "language" field to Special:NewItem

Lydia_Pintscher closed this task as Resolved.Jan 29 2019, 8:15 AM
Lydia_Pintscher claimed this task.